"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeLightIn = makeLightIn;
exports.makeLightOut = makeLightOut;

/**
 * @public
 * @name makeLightIn
 * @description make light in object
 * @param distance
 * @param rotation
 * @returns {{from: {transform: string, opacity: number}, 40%: {transform: string, opacity: number}, 80%: {transform: string, opacity: number}, to: {transform: string, opacity: number}}}
 */
function makeLightIn(_ref) {
  var distance = _ref.distance,
      rotation = _ref.rotation;
  return {
    from: {
      transform: "translate3d(".concat(distance, ", 0, 0) skew(-").concat(rotation, ")"),
      opacity: 0
    },
    '40%': {
      transform: 'skew(20deg)',
      opacity: 1
    },
    '80%': {
      transform: 'skew(-5deg)',
      opacity: 1
    },
    to: {
      transform: 'none',
      opacity: 1
    }
  };
}
/**
 * @public
 * @name makeLightOut
 * @description make light out object
 * @param distance
 * @param rotation
 * @returns {{from: {transform: string, opacity: number}, 40%: {transform: string, opacity: number}, 80%: {transform: string, opacity: number}, to: {transform: string, opacity: number}}}
 */


function makeLightOut(_ref2) {
  var distance = _ref2.distance,
      rotation = _ref2.rotation;
  return {
    from: {
      opacity: 1
    },
    '40%': {
      transform: 'skew(20deg)',
      opacity: 1
    },
    '80%': {
      transform: 'skew(-5deg)',
      opacity: 1
    },
    to: {
      transform: "translate3d(-".concat(distance, ", 0, 0) skew(").concat(rotation, ")"),
      opacity: 0
    }
  };
}