"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeSlideDown = makeSlideDown;
exports.makeSlideUp = makeSlideUp;
exports.makeSlideLeft = makeSlideLeft;
exports.makeSlideRight = makeSlideRight;
exports.makeSlideRightLeft = makeSlideRightLeft;

/**
 * @public
 * @name makeSlideDown
 * @description make slide down object
 * @param distance
 * @returns {{from: {transform: string}, to: {transform: string}}}
 */
function makeSlideDown(_ref) {
  var distance = _ref.distance;
  return {
    from: {
      transform: "translate3d(0, -".concat(distance, ", 0)")
    },
    to: {
      transform: 'translate3d(0, 0, 0)'
    }
  };
}
/**
 * @public
 * @name makeSlideUp
 * @description make slide up object
 * @param distance
 * @returns {{from: {transform: string}, to: {transform: string}}}
 */


function makeSlideUp(_ref2) {
  var distance = _ref2.distance;
  return {
    from: {
      transform: "translate3d(0, ".concat(distance, ", 0)")
    },
    to: {
      transform: 'translate3d(0, 0, 0)'
    }
  };
}
/**
 * @public
 * @name makeSlideLeft
 * @description make slide left object
 * @param distance
 * @returns {{from: {transform: string}, to: {transform: string}}}
 */


function makeSlideLeft(_ref3) {
  var distance = _ref3.distance;
  return {
    from: {
      transform: "translate3d(-".concat(distance, ", 0, 0)")
    },
    to: {
      transform: 'translate3d(0, 0, 0)'
    }
  };
}
/**
 * @public
 * @name makeSlideRight
 * @description make slide right object
 * @param distance
 * @returns {{from: {transform: string}, to: {transform: string}}}
 */


function makeSlideRight(_ref4) {
  var distance = _ref4.distance;
  return {
    from: {
      transform: "translate3d(".concat(distance, ", 0, 0)")
    },
    to: {
      transform: 'translate3d(0, 0, 0)'
    }
  };
}
/**
 * @public
 * @name makeSlideRightLeft
 * @description make slide right left object
 * @param distance
 * @returns {{from: {transform: string}, to: {transform: string}}}
 */


function makeSlideRightLeft(_ref5) {
  var distance = _ref5.distance;
  return {
    from: {
      transform: 'translate3d(0, 0, 0)'
    },
    '50%': {
      transform: "translate3d(".concat(distance, ", 0, 0)")
    },
    to: {
      transform: 'translate3d(0, 0, 0)'
    }
  };
}